<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// VARIABLES
		$cV01 = $_POST['desde'];	/* DESDE */
		$cV02 = $_POST['hasta'];	/* HASTA */
		// PARAMETROS PARA EXPORTAR
		header("Pragma: public");
		header("Expires: 0");
		$filename = "Asignacion de traslados.xls";
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$filename");
		header("Pragma: no-cache");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		echo "
			<table>
				<thead>
					<tr>
						<th>SERIE</th>
						<th>PEDIDO</th>
						<th>SUPEDIDO</th>
						<th>FECHA</th>
						<th>TOTAL UNIDADES</th>
						<th>ALMACEN</th>
						<th>IDESTADO</th>
						<th>ESTADO</th>
					</tr>
				</thead>
				<tbody>";
					// CONSULTA SQL
					$sql = "SELECT PC.NUMSERIE, PC.NUMPEDIDO, PC.SUPEDIDO, PC.FECHAPEDIDO, SUM(PL.UNIDADESTOTAL) AS UNIDADESTOTAL, MAX(PL.CODALMACEN) CODALMACEN, \n"
						  ."PC.IDESTADO, E.ESTADO \n"
						  ."FROM \n"
						  ."PEDVENTACAB AS PC \n"
						  ."INNER JOIN PEDVENTALIN AS PL ON (PC.NUMSERIE = PL.NUMSERIE) AND (PC.NUMPEDIDO = PL.NUMPEDIDO) \n"
						  ."INNER JOIN ESTADOSTIPODOC AS E ON (PC.IDESTADO = E.ID) \n"
						  ."WHERE (PC.FECHAPEDIDO>='".$cV01."') AND (PC.FECHAPEDIDO<='".$cV02."') AND (PC.TIPODOC = 22) \n"
						  ."GROUP BY PC.NUMSERIE, PC.NUMPEDIDO, PC.SUPEDIDO, PC.FECHAPEDIDO, PC.IDESTADO, E.ESTADO \n"
						  ."ORDER BY PC.FECHAPEDIDO ASC";
					$pa1 = array();
					$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
					while($fila = sqlsrv_fetch_array($re1))
					{
						echo "
							<tr>
								<td>".$fila['NUMSERIE']."</td>
								<td>".$fila['NUMPEDIDO']."</td>
								<td>".$fila['SUPEDIDO']."</td>
								<td>".$fila['FECHAPEDIDO']->format('Y-m-d h:m:s')."</td>
								<td>".$fila['UNIDADESTOTAL']."</td>
								<td>".$fila['CODALMACEN']."</td>
								<td>".$fila['IDESTADO']."</td>
								<td>".$fila['ESTADO']."</td>
							</tr>
						";
					}
				echo "
				</tbody>
			</table>
		";
	}
	// Desconexion
	sqlsrv_close($conexion);
?>